Webhooks
Get a delivery
GET
/webhooks/{id}/deliveries/{deliveryId}Needsworkspace.settingsWith the exact payload sent and the start of your endpoint's response.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Path Parameters
id*integerThe endpoint's id.
Range
1 <= valuedeliveryId*integerThe delivery's id.
Range
1 <= valueResponse Body
OK
application/json- response
delivery*Shell
curl -X GET 'https://app.cueston.com/api/webhooks/1/deliveries/1'Example Response
JSON
{
"delivery": {
"id": 42,
"endpointId": 5,
"eventId": "evt_2c8f1a64b0e94f1d",
"eventType": "content.published",
"status": "pending",
"attempts": 1,
"maxAttempts": 6,
"nextAttemptAt": "2026-10-26T09:30:00Z",
"lastAttemptAt": "2026-10-26T09:30:00Z",
"lastError": "string",
"responseStatus": 200,
"durationMs": 184,
"isTest": true,
"redeliveryOf": 0,
"createdAt": "2026-10-26T09:30:00Z",
"deliveredAt": "2026-10-26T09:30:00Z",
"payload": null,
"responseBody": "string"
}
}